package com.fs.his.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsOrderSopLog;
import org.apache.ibatis.annotations.Select;

/**
 * 订单生成档期标签日志Mapper接口
 * 
 * @author fs
 * @date 2025-11-07
 */
public interface FsOrderSopLogMapper extends BaseMapper<FsOrderSopLog>{
    /**
     * 查询订单生成档期标签日志
     * 
     * @param id 订单生成档期标签日志主键
     * @return 订单生成档期标签日志
     */
    FsOrderSopLog selectFsOrderSopLogById(Long id);

    /**
     * 查询订单生成档期标签日志列表
     * 
     * @param fsOrderSopLog 订单生成档期标签日志
     * @return 订单生成档期标签日志集合
     */
    List<FsOrderSopLog> selectFsOrderSopLogList(FsOrderSopLog fsOrderSopLog);

    /**
     * 新增订单生成档期标签日志
     * 
     * @param fsOrderSopLog 订单生成档期标签日志
     * @return 结果
     */
    int insertFsOrderSopLog(FsOrderSopLog fsOrderSopLog);

    /**
     * 修改订单生成档期标签日志
     * 
     * @param fsOrderSopLog 订单生成档期标签日志
     * @return 结果
     */
    int updateFsOrderSopLog(FsOrderSopLog fsOrderSopLog);

    /**
     * 删除订单生成档期标签日志
     * 
     * @param id 订单生成档期标签日志主键
     * @return 结果
     */
    int deleteFsOrderSopLogById(Long id);

    /**
     * 批量删除订单生成档期标签日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsOrderSopLogByIds(Long[] ids);

    @Select("SELECT * FROM fs_order_sop_log WHERE status = 0")
    List<FsOrderSopLog> selectFsOrderSopLogNoSopList();
}
